/*
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

body {
    background-color: white;
    color: black;
    font-family: serif;
}

main {
    margin: 1em;
}

h1 {
    border-bottom: 1px solid black;
    padding: 0 0 0 1ex;
    display: flex;
}

.section a:active, .section a:visited, .section a:link, .section a:hover {
    color: black;
    text-decoration: none;
}

.section a:hover:after {
    content: "¶";
}


section {
    border-bottom: 1px dotted gray;
    padding: 1em;
}

h2 {
    margin: 0;
}

h3 {
    margin: 1ex 0;
}

p {
    margin: 0.5ex;
}

blockquote {
    background-color: #f8f4f0;
    border-radius: 5px;
    display: inline-block;
    font-style: oblique;
    margin: 0.5em 0.5em 0.5em 2em;
    padding: 0.5em;
}
blockquote::before {
    color: gray;
    content: "“";
    font-size: xx-large;
}

blockquote::after {
    color: gray;
    content: "„";
    font-size: xx-large;
}

.note {
    background-color: #cdf;
    border: 1px solid #abd;
    border-radius: 5px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
    display: inline-block;
    margin: 0.5em;
    padding: 0.5em;
}


.errorlist, .error_field  {
    background-color: #fcc;
    border: 1px solid #800;
    border-radius: 5px;
    padding: 1em;
}

.errorlist {
    list-style: none;
    margin: 0;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
}

.error_field {
    margin: 0.5em 0;
}


#messages ul {
    list-style: outside none none;
    padding: 0;
}

#messages ul li {
    border-radius: 5px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
    display: block;
    margin: 0.5em;
    padding: 0.5em;

}

#messages ul li.success {
    background-color: #cfd;
    border: 1px solid #adb;
}

#messages ul li.info {
    background-color: #cdf;
    border: 1px solid #abd;
}

#messages ul li.warning {
    background-color: #ffc;
    border: 1px solid #dda;
}

#messages ul li.error {
    background-color: #fcc;
    border: 1px solid #800;
}

.dtable th::after {
    content: "―";
    padding: 0 1ex;
}
.dtable th {
    text-align: right;
}


footer {
    background-color: #57c;
    color: #ffc;
    display: flex;
    flex-wrap: wrap;
    font-family: sans-serif;
    justify-content: center;
    padding: 1ex;
}
footer > nav {
    margin: 1ex;
}
.footer_title {
    font-weight: bold;
    text-align: center;
}
footer nav li {
    list-style: outside none none;
}
footer nav ul {
    margin: 1ex 0 0;
    padding: 0;
}
footer a:link, footer a:active, footer a:visited, footer a:active {
    color: #ffc;
    text-decoration: none;
}
footer a:hover {
    text-decoration: underline;
}

.current_link {
    color: #ccc;
}


.menu
{
    color: yellow;
    font-size: small;
}

.menu ul:first-child
{
    border-top-left-radius: 1ex;
    border-top-right-radius: 1ex;
    background-color: #666;
}

.menu ul:last-child
{
    border-bottom-left-radius: 1ex;
    border-bottom-right-radius: 1ex;
    background-color: #333;
}

.menu ul
{
    list-style: none;
    margin: 0;
    padding: 0 2ex;
    display: flex;
}
.menu li
{
    display: inline-flex;
}
.menu li > a, .menu li > span
{
    padding: 1ex;
}
.menu a, .menu a:hover, .menu a:link, .menu a:visited
{
    color: inherit;
    text-decoration: none;
}
.menu a:hover
{
    background-color: #aaa;
}
.current_menu_item a, .menu .current_link
{
    background-color: #888;
    color: inherit;
    font-weight: bold;
}

form > div {
    margin: 0.5em 0;
}

.helptext {
    color: gray;
    display: block;
    font-size: small;
}

.figure_container {
    overflow: auto;
}

h1 > img {
    margin: 0 0.5ex 0 0;
}
